"use client"

import { useEffect, useState } from "react";
import { getUsers } from "@/lib/api";
import { IUser } from "@/types/types";
import { usePathname, useRouter, useSearchParams } from "next/navigation";
import User from "./user-item";

export default function Following() {
  const [followedUsers, setFollowedUsers] = useState<IUser[]>([]);
 

  useEffect(() => {
    fetchFollowedUsers();
  }, []);

  const fetchFollowedUsers = async () => {
    try {
      const users = await getUsers();
      setFollowedUsers(users);
    } catch (error) {
      console.error("Error fetching followed users:", error);
    }
  };

  return (
    <div>
      <h1>Followed Users</h1>
      {followedUsers.map((user) => (
        <User key={user.id} id={user.id} name={user.name} avatar={user.avatar} />
      ))}
    </div>
  );
};
